Debian Bug report logs - #527656
RM: xserver-xorg-input-tek4957 -- RoM; FTBFS; abandoned upstream

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Fri, 8 May 2009 17:57:44 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#527656; Package xserver-xorg-input-tek4957. (Fri, 08 May 2009 17:57:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 08 May 2009 17:57:46 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: xserver-xorg-input-tek4957: FTBFS: ../../src/xf86Tek4957.c:450: error: too many arguments to function 'InitValuatorClassDeviceStruct'
Date: Fri, 8 May 2009 19:53:59 +0200
Package: xserver-xorg-input-tek4957
Version: 1:1.2.0-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20090508 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
>  gcc -DHAVE_CONFIG_H -I. -I../../src -I.. -Wall -g -O2 -I/usr/include/xorg -I/usr/include/pixman-1 -I../../src -MT xf86Tek4957.lo -MD -MP -MF .deps/xf86Tek4957.Tpo -c ../../src/xf86Tek4957.c  -fPIC -DPIC -o .libs/xf86Tek4957.o
> ../../src/xf86Tek4957.c: In function 'TekConvert':
> ../../src/xf86Tek4957.c:155: warning: 'miPointerCurrentScreen' is deprecated (declared at /usr/include/xorg/mipointer.h:129)
> ../../src/xf86Tek4957.c: In function 'TekProc':
> ../../src/xf86Tek4957.c:450: warning: passing argument 3 of 'InitValuatorClassDeviceStruct' makes integer from pointer without a cast
> ../../src/xf86Tek4957.c:450: error: too many arguments to function 'InitValuatorClassDeviceStruct'
> make[3]: *** [xf86Tek4957.lo] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2009/05/08/xserver-xorg-input-tek4957_1:1.2.0-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#527656; Package xserver-xorg-input-tek4957. (Fri, 08 May 2009 21:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 08 May 2009 21:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 527656@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 527718@bugs.debian.org, 527669@bugs.debian.org, 527717@bugs.debian.org, 527680@bugs.debian.org, 527699@bugs.debian.org, 527683@bugs.debian.org, 527661@bugs.debian.org, 527646@bugs.debian.org, 527715@bugs.debian.org, 527698@bugs.debian.org, 527701@bugs.debian.org, 527671@bugs.debian.org, 527656@bugs.debian.org, 527713@bugs.debian.org
Subject: Re: Bug#527718: xserver-xorg-input-calcomp: FTBFS: ../../src/xf86Calcomp.c:312: error: too many arguments to function 'InitValuatorClassDeviceStruct'
Date: Fri, 8 May 2009 23:38:56 +0200
reassign 527683 ftp.debian.org
retitle 527683 RM: xserver-xorg-input-jamstudio -- RoM; FTBFS; abandoned upstream
severity 527683 normal
reassign 527713 ftp.debian.org
retitle 527713 RM: xserver-xorg-input-ur98 -- RoM; FTBFS; abandoned upstream
severity 527713 normal
reassign 527661 ftp.debian.org
retitle 527661 RM: xserver-xorg-input-magellan -- RoM; FTBFS; abandoned upstream
severity 527661 normal
reassign 527646 ftp.debian.org
retitle 527646 RM: xserver-xorg-input-magictouch -- RoM; FTBFS; abandoned upstream
severity 527646 normal
reassign 527715 ftp.debian.org
retitle 527715 RM: xserver-xorg-input-microtouch -- RoM; FTBFS; abandoned upstream
severity 527715 normal
reassign 527701 ftp.debian.org
retitle 527701 RM: xserver-xorg-input-spaceorb -- RoM; FTBFS; abandoned upstream
severity 527701 normal
reassign 527656 ftp.debian.org
retitle 527656 RM: xserver-xorg-input-tek4957 -- RoM; FTBFS; abandoned upstream
severity 527656 normal
reassign 527698 ftp.debian.org
retitle 527698 RM: xserver-xorg-input-palmax -- RoM; FTBFS; abandoned upstream
severity 527698 normal
reassign 527669 ftp.debian.org
retitle 527669 RM: xserver-xorg-input-digitaledge -- RoM; FTBFS; abandoned upstream
severity 527669 normal
reassign 527671 ftp.debian.org
retitle 527671 RM: xserver-xorg-input-summa -- RoM; FTBFS; abandoned upstream
severity 527671 normal
reassign 527680 ftp.debian.org
retitle 527680 RM: xserver-xorg-input-dynapro -- RoM; FTBFS; abandoned upstream
severity 527680 normal
reassign 527718 ftp.debian.org
retitle 527718 RM: xserver-xorg-input-calcomp -- RoM; FTBFS; abandoned upstream
severity 527718 normal
reassign 527717 ftp.debian.org
retitle 527717 RM: xserver-xorg-input-dmc -- RoM; FTBFS; abandoned upstream
severity 527717 normal
reassign 527699 ftp.debian.org
retitle 527699 RM: xserver-xorg-input-elo2300 -- RoM; FTBFS; abandoned upstream
severity 527699 normal
kthxbye

See http://lists.debian.org/debian-devel/2009/03/msg01006.html

Cheers,
Julien




Bug reassigned from package `xserver-xorg-input-tek4957' to `ftp.debian.org'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 08 May 2009 21:48:27 GMT) Full text and rfc822 format available.

Changed Bug title to `RM: xserver-xorg-input-tek4957 -- RoM; FTBFS; abandoned upstream' from `xserver-xorg-input-tek4957: FTBFS: ../../src/xf86Tek4957.c:450: error: too many arguments to function 'InitValuatorClassDeviceStruct''. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 08 May 2009 21:48:28 GMT) Full text and rfc822 format available.

Severity set to `normal' from `serious' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 08 May 2009 21:48:29 GMT) Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Mon, 11 May 2009 01:57:10 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 11 May 2009 01:57:10 GMT) Full text and rfc822 format available.

Message #21 received at 527656-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 527656-close@bugs.debian.org
Cc: xserver-xorg-input-tek4957@packages.debian.org, xserver-xorg-input-tek4957@packages.qa.debian.org
Subject: Bug#527656: fixed
Date: Mon, 11 May 2009 01:27:38 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

xserver-xorg-input-tek4957 |  1:1.2.0-1 | source, alpha, amd64, armel, hppa, hurd-i386, i386, ia64, mips, mipsel, powerpc, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 527656@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/527656

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 08 Jun 2009 07:36:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:05:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.